MDAT v1.2
=============

A program to calculate the a multiple domain alignment (MDA). This can be further turned into a multiple sequence alignment.


Requirements
-------------

Most of these libraries will be available on your linux/cygwin operating system and can most probably be fond in the repository if not installed.
- Compiler that supports the C++11 standard (g++ (2.7.3 or higher) for linux/ clang for mac)
- CMake 2.6 or higher (www.cmake.org)
- Boost library (http://www.boost.org)

Recommended
-------------
- Cairo graphics library (http://cairographics.org/) (if not available the graphical ouput for MDA will not be availalbe but all computations will still work. Output will be simple textfile only)

Installation
-------------

In the main folder use the following commands:  
mkdir build  
cd build  
cmake ..  
make  


Certain data is need by MDAT. For it to be found automatically you need to copy the content of the folder data into a (hidden) folder in your home named ".mdat". Alternatively you can give
the domain math probably matrix manually using the '--dmpm_f' option.

The program is now ready to be used. 

Example:

mdat -s <sequence name> -d <domain file> -a <MDA output> --graphical_out <graphical output>



Troubleshooting
---------------

1. Boost libraries
By default libraries are dynamically linked (shared libraries). For BOOST you can change this in the CMakeLists.txt.

2. Shared Libraries not found
In MAC:  
export DYLD_LIBRARY_PATH="path/to/library"
In LINUX:  
export LD_LIBRARY_PATH="path/to/library"





