/*
 * basics.hpp
 *
 *  Created on: Jun 8, 2013
 *      Author: Carsten Kemena
 *
 * This file is part of MDAT.
 *
 * MDAT is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MDAT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with MDAT.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef BASICS_HPP_
#define BASICS_HPP_


/**
 * \file basics.hpp
 * \brief Contains some tags to modify behaviors of some classes.
 */

namespace MDAT
{




template <typename T>
struct Tag {};


struct Default_;
/**
 * \brief Use the default implementation of the class.
 */
typedef Tag<Default_> Default;


struct MemSafe_;
/**
 * \brief Used to use a memory saving version of a class.
 */
typedef Tag<MemSafe_> const MemSafe;

}

#endif /* BASICS_HPP_ */
