/*
 * DNASequence.hpp
 *
 *  Created on: Jun 10, 2013
 *      Author: Carsten Kemena
 *
 * This file is part of MDAT.
 *
 * MDAT is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MDAT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with MDAT.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef DNASEQUENCE_HPP_
#define DNASEQUENCE_HPP_

#include "Sequence.hpp"
#include "../Annotation/SequenceFeatures.hpp"

namespace MDAT
{

/** \addtogroup Sequence
 *  @{
 */

/**
 * \brief A special class for DNA sequences.
 */
class DNASequence: public MDAT::Sequence
{
private:
	SequenceFeatures<int> *_genome_features;

public:
	DNASequence(const std::string &seq_name, const std::string &comment_, const std::string &seq, size_t seq_id=0);
	DNASequence(const std::string &seq_name, const std::string &comment_, unsigned int seq_length=0, size_t seq_id=0);
	DNASequence(const Sequence &seq);
	virtual ~DNASequence();

};

/**
 *  @}
 */


} /* namespace Sequence */
#endif /* DNASEQUENCE_HPP_ */
