/*
 * ProteinSequence.cpp
 *
 *  Created on: Jun 10, 2013
 *      Author: Carsten Kemena
 *
 * This file is part of MDAT.
 *
 * MDAT is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MDAT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with MDAT.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "ProteinSequence.hpp"

namespace MDAT
{

ProteinSequence::ProteinSequence(const std::string &seq_name, const std::string &seq, const std::string &comment, size_t seq_id):Sequence(seq_name, seq, comment, seq_id), _dom_architecture()
{}

ProteinSequence::ProteinSequence(const std::string &seq_name, const std::string &comment, unsigned int seq_length, size_t seq_id):Sequence(seq_name, comment, seq_length, seq_id), _dom_architecture()
{}


ProteinSequence::ProteinSequence(const Sequence &seq):Sequence(seq), _dom_architecture()
{}

ProteinSequence::~ProteinSequence()
{
	// TODO Auto-generated destructor stub
}

} /* namespace Sequence */
