/*
 * Sequence_Interface.hpp
 *
 *  Created on: Jun 10, 2013
 *      Author: Carsten Kemena
 *
 * This file is part of MDAT.
 *
 * MDAT is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MDAT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with MDAT.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef SEQUENCE_INTERFACE_HPP_
#define SEQUENCE_INTERFACE_HPP_

#include <string>

namespace MDAT
{


class Sequence_Interface
{

public:
	virtual ~Sequence_Interface();

	virtual const std::string & name() const  =0;
	virtual const std::string &sequence() const  =0;
	virtual const std::string	& comment() const  =0;
	virtual size_t size() const  =0;
	virtual size_t ungapped_size() const  =0;
	virtual size_t id() const  =0;
	virtual void id(size_t val)  =0;
	virtual void name(const std::string &name) = 0;


};

} // namespace MDAT

#endif /* SEQUENCE_INTERFACE_HPP_ */
