/*
 * Matrix_test.hpp
 *
 *  Created on: 3 Oct 2013
 *      Author: ck
 */

#ifndef MATRIX_TEST_HPP_
#define MATRIX_TEST_HPP_

#include "../lib/utils/Matrix1Line.hpp"
#include <cxxtest/TestSuite.h>

class Matrix_Test : public CxxTest::TestSuite
{
public:

	void test_1line_mat()
	{
		MDAT::Matrix1Line<int> mat(4, 3, 2);
		TS_ASSERT_EQUALS(mat.dim1(), 4);
		TS_ASSERT_EQUALS(mat.dim2(), 3);
		TS_ASSERT_EQUALS(mat.size(), 12);
		TS_ASSERT_EQUALS(mat[3][2], 2);

		mat[1][5]=7;
		TS_ASSERT_EQUALS(mat[1][5], 7);

		for (size_t i=0; i<4; ++i)
		{
			for (size_t j=0; j<3; ++j)
				mat[i][j]=i;
		}

		std::vector<int>::iterator it, it_end=mat.end(1);
		for (it=mat.begin(1); it!=it_end; ++it)
			TS_ASSERT_EQUALS(*it, 1);
		TS_ASSERT_EQUALS(*it_end, 2);
		TS_ASSERT_EQUALS(*(mat.begin(1)-1), 0);
	}

};


#endif /* MATRIX_TEST_HPP_ */
