/*
 * SequenceTest.hpp
 *
 *  Created on: 27 Sep 2013
 *      Author: ck
 */

#ifndef SEQUENCETEST_HPP_
#define SEQUENCETEST_HPP_

#include "../lib/Sequence/SequenceSet.hpp"
#include "../lib/Sequence/Seq_functs.hpp"


class Sequence_Test : public CxxTest::TestSuite
{
public:

	void test_normal_seq()
	{
		MDAT::Sequence seq("NAME1", "ACGCTSLDJPSIOFEWJSLWE", "AHA", 2);
		TS_ASSERT_EQUALS(seq.name(), "NAME1");
		TS_ASSERT_EQUALS(seq.sequence(), "ACGCTSLDJPSIOFEWJSLWE");
		TS_ASSERT_EQUALS(seq.comment(), "AHA");
		TS_ASSERT_EQUALS(seq.id(), 2);
		seq.name("NEW_NAME");
		TS_ASSERT_EQUALS(seq.name(), "NEW_NAME");
		seq.sequence("PPPPEPEKEKSD");
		TS_ASSERT_EQUALS(seq.sequence(), "PPPPEPEKEKSD");
		seq.comment("THIS IS A TEST");
		TS_ASSERT_EQUALS(seq.comment(), "THIS IS A TEST");
		seq.id(0);
		TS_ASSERT_EQUALS(seq.id(), 0);
		seq.append("AAAA");
		TS_ASSERT_EQUALS(seq.sequence(), "PPPPEPEKEKSDAAAA")
		seq.to_lower();
		TS_ASSERT_EQUALS(seq.sequence(), "ppppepekeksdaaaa")
		seq.to_upper();
		TS_ASSERT_EQUALS(seq.sequence(), "PPPPEPEKEKSDAAAA")
		seq.insert_gaps("mmmm-----mmmmmm--mmmmmm");
		TS_ASSERT_EQUALS(seq.sequence(), "PPPPEP--EKEKSD-----AAAA");
		MDAT::Sequence sub_seq = substr(seq, 1,4);
		TS_ASSERT_EQUALS(sub_seq.sequence(), "PPPE");


	}

	void test_protein_seq()
	{
		MDAT::ProteinSequence seq("NAME1", "ACGCTSLDJPSIOFEWJSLWE", "AHA", 2);
		TS_ASSERT_EQUALS(seq.name(), "NAME1");
		TS_ASSERT_EQUALS(seq.sequence(), "ACGCTSLDJPSIOFEWJSLWE");
		TS_ASSERT_EQUALS(seq.comment(), "AHA");
		TS_ASSERT_EQUALS(seq.id(), 2);
	}



};


#endif /* SEQUENCETEST_HPP_ */
