/*
 * Gene.hpp
 *
 *  Created on: Sep 4, 2013
 *      Author: ckeme_01
 */

#ifndef GENE_HPP_
#define GENE_HPP_



class
SingleSequenceFeature
{
private:
	//std::string seq_id;
	std::string source;
	std::string type;
	size_t start;
	size_t len;
	double score;
	char strand;
	short phase;

	std::map<std::string, std::string> attributes;

public:

	size_t length()
	{
		return len;
	}

	void
	length(size_t new_length)
	{
		len=new_length;
	}


	size_t
	end()
	{
		return start+len-1;
	}


};

struct
MRNA
{
	SingleSequenceFeature feat;
	std::vector<SingleSequenceFeature> sub_features;
};





struct
Gene
{
	SingleSequenceFeature feat;
	std::vector<MRNA> mRNAs;
};


#endif /* GENE_HPP_ */
